import { system, world } from "@minecraft/server";

world.afterEvents.playerSpawn.subscribe(eventData => {
    const player = eventData.player;
    const firstSpawn = eventData.initialSpawn;
    if (firstSpawn) {
        player.runCommand("fill ~-1~-1~-1 ~1~-1~1 minecraft:stone");
        player.runCommand("setworldspawn ~ ~ ~");
        player.runCommand("spawnpoint @a ~ ~ ~");
    }
});

let blocks = [
    "minecraft:sand",
    "minecraft:grass_block",
    "minecraft:red_sand",
    "minecraft:snow",
    "minecraft:powder_snow",
    "minecraft:end_stone",
    "minecraft:crimson_nylium",
    "minecraft:warped_nylium"
];

system.runInterval(() => {
    const players = world.getPlayers();
    for (const player of players) {
        for (const block of blocks) {
            player.runCommandAsync(
                `execute as @a at @s if block ~ ~-0.1 ~ ${block} run kill @a`
            ).catch((error) => {
            });
        }
    }
}, 2);